From f70c3a687f106f603ed87ff2f0edcaadd97a749e Mon Sep 17 00:00:00 2001
From: Tails developers <tails@boum.org>
Date: Mon, 2 Jun 2014 00:29:16 +0200
Subject: [PATCH 4/9] Avoid GTK namespace pollution

---
 src/task-item.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/task-item.c b/src/task-item.c
index 1bcaf35..25acb7a 100644
--- a/src/task-item.c
+++ b/src/task-item.c
@@ -642,7 +642,7 @@ void on_drag_end (
     g_object_set_data (G_OBJECT (widget), "drag-true", GINT_TO_POINTER (0));
 }
 
-gint gtk_grid_get_pos (GtkWidget *grid, GtkWidget *item) {
+static gint grid_get_pos (GtkWidget *grid, GtkWidget *item) {
     GtkContainer *container = GTK_CONTAINER (grid);
     GList *items = gtk_container_get_children (container);
 
@@ -677,7 +677,7 @@ static void on_drag_received_data (
                 GtkWidget *taskItem = GTK_WIDGET(*data);
                 g_assert(TASK_IS_ITEM(taskItem));
                 if(taskItem == widget) break; //source and target are identical
-                gint target_position = gtk_grid_get_pos(mainapp->tasks, widget);
+                gint target_position = grid_get_pos(mainapp->tasks, widget);
                 g_object_ref(taskItem);
                 gtk_box_reorder_child(GTK_BOX(taskList), taskItem, target_position);
                 g_object_unref(taskItem);
-- 
2.0.0.rc4

